System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=false, Inherited=false)

When you create a component that you want to license, you must specify the by marking the component with a .

Use the property to get the of the .

For more information about attributes, see Extending Metadata Using Attributes. For more information about licensing, see How to: License Components and Controls.

The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

Specifies the to use with a class. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class without a license provider.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified type.

  The fully qualified name of the license provider class.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified type of license provider.

  A that represents the type of the license provider class.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LicenseProviderAttribute To be added

  Specifies the default value, which is no provider. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added

  Indicates whether this instance and a specified object are equal.

  true if is equal to this instance; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the license provider that must be used with the associated class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Indicates a unique ID for this attribute type.